timeouts:
  job:
    minutes: 200
  connection:
    minutes: 2
context:
  guestfs_interface: virtio
  arch: arm64
  netdevice: tap
  machine: virt-2.10,accel=kvm
  cpu: host,aarch64=off
device_type: qemu-arm
job_name: linux-mainline-oe--ltp-syscalls-mainline-445345218
priority: 25
visibility: public
metadata:
  git branch: mainline
  git repo: https://git.kernel.org/pub/scm/linux/kernel/git/stable/linux-stable-rc.git
  git commit: 27ac98449017eb9c569bcc95c65f29ca3948148f
  git describe: v4.4.211
  make_kernelversion: 4.4.211
  kernel-config: http://builds.tuxbuild.com/OVjVOw1LjyFhNFcSRF54BA/kernel.config
  build-url: https://gitlab.com/Linaro/lkft/kernel-runs/pipelines/119852258
  artifact-location: ''
  toolchain: unknown
  series: lkft
  email-notification: ''
  ltp-syscalls-tests__url: unknown
  ltp-syscalls-tests__version: unknown
  ltp-syscalls-tests__revision: unknown
actions:
- deploy:
    timeout:
      minutes: 40
    to: tmpfs
    namespace: target
    images:
      kernel:
        url: http://builds.tuxbuild.com/OVjVOw1LjyFhNFcSRF54BA/zImage
        image_arg: -kernel {kernel} --append "console=ttyAMA0 root=/dev/vda rw"
        type: image
      rootfs:
        url: https://storage.lkft.org/rootfs/oe-sumo/20200205/am57xx-evm/rpb-console-image-lkft-am57xx-evm-20200205143755-9.rootfs.ext4.gz
        format: ext4
        compression: gz
        apply-overlay: true
        image_arg: -drive format=raw,file={rootfs},if=virtio -m 4096 -smp 2 -nographic
        sparse: false
        overlays:
          modules:
            url: http://builds.tuxbuild.com/OVjVOw1LjyFhNFcSRF54BA/modules.tar.xz
            path: /
            format: tar
            compression: xz
    os: oe
- boot:
    namespace: target
    auto_login:
      login_prompt: 'am57xx-evm login:'
      username: root
      password_prompt: ''
      password: ''
    prompts:
    - 'root@am57xx-evm:'
    - root@(.*):[/~]#
    timeout:
      minutes: 10
    method: qemu
- test:
    namespace: target
    timeout:
      minutes: 120
    definitions:
    - from: inline
      repository:
        metadata:
          format: Lava-Test Test Definition 1.0
          name: prep-tmp-disk
          description: Link /scratch to /tmp
        run:
          steps:
          - df -h
          - ln -s /tmp /scratch
      name: prep-tmp-disk
      path: inline/prep.yaml
    - repository: https://github.com/Linaro/test-definitions.git
      from: git
      path: automated/linux/ltp/ltp.yaml
      parameters:
        SKIP_INSTALL: 'true'
        TST_CMDFILES: syscalls
        SKIPFILE: skipfile-lkft.yaml
        BOARD: qemu_arm
        BRANCH: mainline
        ENVIRONMENT: production
        TIMEOUT_MULTIPLIER: 3
        LTP_TMPDIR: /scratch
      name: ltp-syscalls-tests
